diff -Nrc2 fontutils-0.5/data/ggmr.ifi fontutils-0.6/data/ggmr.ifi
*** fontutils-0.5/data/ggmr.ifi	Tue Aug 18 14:03:43 1992
--- fontutils-0.6/data/ggmr.ifi	Sun Oct  4 11:31:40 1992
***************
*** 1,3 ****
! % Info for Monotype Garamond roman 30 pt, page 42 of An Atlas of Typeforms.
  A 3 % to -1
  B 2 % to -1
--- 1,13 ----
! % Garamond roman -- basic characters.
! % Source: Atlas of Typeforms, page 42.
! % Original design size is 30pt, but that looks too small to us.
! % 
! %   -designsize=26
! %   -baselines=121,130,120
! % 
! % Actually, we can't use this image, because this is a Monotype font,
! % and Monotype is a British company, and Britain has a retroactive type
! % protection law.  (See the `Legal issues' section of the manual.)
! % 
  A 3 % to -1
  B 2 % to -1
diff -Nrc2 fontutils-0.5/data/mflogo.enc fontutils-0.6/data/mflogo.enc
*** fontutils-0.5/data/mflogo.enc
--- fontutils-0.6/data/mflogo.enc	Mon Oct 19 08:07:58 1992
***************
*** 0 ****
--- 1,87 ----
+ % Encoding for the Metafont logo fonts.
+ AEFMNOT only
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ A
+ .notdef
+ .notdef
+ .notdef
+ E
+ F
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ M
+ N
+ O
+ .notdef
+ .notdef
+ .notdef
+ .notdef
+ T
diff -Nrc2 fontutils-0.5/fontconvert/.gdbinit fontutils-0.6/fontconvert/.gdbinit
*** fontutils-0.5/fontconvert/.gdbinit	Mon Aug 24 15:35:27 1992
--- fontutils-0.6/fontconvert/.gdbinit	Fri Oct 23 12:10:33 1992
***************
*** 116,120 ****
  #  	-fontdimens space:11.5  ../ourfonts/ggmr26b
  
- #set args -range a-a -space=32 ../gsrenderfont/phvr.300 -gf -out phvr.300gf
  #set args -tfm -verbose ../ourfonts/bodoni/gbdrsp.1200
  #set args -verbose -tfm ../imageto/slashsp.1200
--- 116,119 ----
***************
*** 152,160 ****
  
  # Get adobe's characters and set designsize (as with ring above) for for them.
! set args -verbose -tfm -gf -dpi 1200 -encoding gnulatin \
!   -omit "`cat /w/ourfonts/garamond/r/adobe/adobe.omt`" \
!   -designsize 12.413793103 \
!   -output-file   /w/ourfonts/garamond/r/adobe/adobe \
!   /w/ourfonts/garamond/r/adobe/adobe10
  
! set args -random=5 -random-threshold=.5 -gf -tfm cmr10  -output-file=r
--- 151,159 ----
  
  # Get adobe's characters and set designsize (as with ring above) for for them.
! #set args -verbose -tfm -gf -dpi 1200 -encoding gnulatin \
! #  -omit "`cat /w/ourfonts/garamond/r/adobe/adobe.omt`" \
! #  -designsize 12.413793103 \
! #  -output-file   /w/ourfonts/garamond/r/adobe/adobe \
! #  /w/ourfonts/garamond/r/adobe/adobe10
  
! set args -verbose -tfm ../gsrenderfont/cmr.300
diff -Nrc2 fontutils-0.5/fontconvert/ChangeLog fontutils-0.6/fontconvert/ChangeLog
*** fontutils-0.5/fontconvert/ChangeLog	Thu Sep  3 09:30:31 1992
--- fontutils-0.6/fontconvert/ChangeLog	Tue Oct 27 13:02:50 1992
***************
*** 1,2 ****
--- 1,43 ----
+ Tue Oct 27 13:01:55 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
+ Fri Oct 23 14:15:22 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* main.c (main): Remove the -space option.
+         * output-gf.c (gf_finish_output): And remove the code that
+           implemented it.
+         (space_char): And this global.
+         * output-gf.h (space_char): And the decl.
+ 
+ Tue Oct 20 11:54:55 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* main.c (main): Change the reporting so the space or newline
+ 	comes before the character, not after.
+ 
+ 	* main.c (main): Don't remove the suffix when making the output
+ 	filename, as we already did; pass the input name to
+ 	`gf_start_output', not the full bitmap filename.
+ 
+ Mon Oct  5 10:12:03 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* main.c (read_command_line): If -text is given, set `report_file'
+ 	to stderr.
+ 
+ Sun Oct  4 14:03:53 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* output-tfm.c (tfm_start_output): Report the TFM filename if we
+ 	are reading one.
+ 
+ 	* main.c (main): Report the full pathname of the font, not just
+ 	what the user gave us.
+ 
+ 	* main.c (main): Call `tfm_finish_output' before `gf_finish_output'.
+ 
+ Tue Sep 22 16:30:25 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+         * output-gf.c (gf_finish_output): output a newline after the space
+           char's code.
+ 
  Thu Sep  3 09:30:31 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/fontconvert/M.depend fontutils-0.6/fontconvert/M.depend
*** fontutils-0.5/fontconvert/M.depend	Wed Sep  2 17:20:46 1992
--- fontutils-0.6/fontconvert/M.depend	Sun Oct 25 14:16:00 1992
***************
*** 26,31 ****
    .././include/c-seek.h .././include/c-proto.h .././include/global.h .././include/lib.h \
    .././include/types.h .././include/filename.h random.h .././include/bitmap.h \
!   .././include/bounding-box.h .././include/tfm.h .././include/fix-num.h .././include/list.h \
!   filter.h main.h .././include/font.h output-tfm.h 
  random.o : random.c .././include/config.h .././include/c-auto.h .././include/c-std.h \
    .././include/c-memstr.h .././include/c-errno.h .././include/c-minmax.h .././include/c-limits.h \
--- 26,31 ----
    .././include/c-seek.h .././include/c-proto.h .././include/global.h .././include/lib.h \
    .././include/types.h .././include/filename.h random.h .././include/bitmap.h \
!   .././include/bounding-box.h .././include/report.h .././include/tfm.h .././include/fix-num.h \
!   .././include/list.h filter.h main.h .././include/font.h output-tfm.h 
  random.o : random.c .././include/config.h .././include/c-auto.h .././include/c-std.h \
    .././include/c-memstr.h .././include/c-errno.h .././include/c-minmax.h .././include/c-limits.h \
diff -Nrc2 fontutils-0.5/fontconvert/main.c fontutils-0.6/fontconvert/main.c
*** fontutils-0.5/fontconvert/main.c	Sun Aug 23 14:38:30 1992
--- fontutils-0.6/fontconvert/main.c	Fri Oct 23 14:16:05 1992
***************
*** 135,141 ****
  
    /* If no output name was specified on the command line, use the root
!      part of the input name.  */
    if (output_name == NULL)
!     output_name = remove_suffix (basename (font_name));
  
    if (wants_gf && wants_tfm && find_suffix (output_name) != NULL)
--- 135,142 ----
  
    /* If no output name was specified on the command line, use the root
!      part of the input name.  We've already removed the suffix in
!      `read_command_line'.  */
    if (output_name == NULL)
!     output_name = basename (font_name);
  
    if (wants_gf && wants_tfm && find_suffix (output_name) != NULL)
***************
*** 150,154 ****
      epsf_start_output (output_name);
    if (wants_gf)
!     gf_start_output (BITMAP_FONT_FILENAME (f), output_name, dpi,
                       BITMAP_FONT_COMMENT (f)); 
    if (wants_tfm)
--- 151,155 ----
      epsf_start_output (output_name);
    if (wants_gf)
!     gf_start_output (font_name, output_name, dpi,
                       BITMAP_FONT_COMMENT (f)); 
    if (wants_tfm)
***************
*** 173,177 ****
          tfm_start_font (font_name);
          
!       REPORT1 ("(%s\n", font_name);
        
        /* The main loop: convert each character.  */
--- 174,178 ----
          tfm_start_font (font_name);
          
!       REPORT1 ("(%s", BITMAP_FONT_FILENAME (f));
        
        /* The main loop: convert each character.  */
***************
*** 182,186 ****
            if (c == NULL) continue;
  
!           REPORT1 ("[%u", code);
  
            if (omit[code])
--- 183,187 ----
            if (c == NULL) continue;
  
!           REPORT2 ("%c[%u", ++char_count % 8 ? ' ' : '\n', code);
  
            if (omit[code])
***************
*** 196,200 ****
              }
  
!           REPORT1 ("]%c", ++char_count % 8 ? ' ' : '\n');
          }
  
--- 197,201 ----
              }
  
!           REPORT ("]");
          }
  
***************
*** 205,213 ****
    if (wants_epsf)
      epsf_finish_output ();
!   if (wants_gf)
!     gf_finish_output (design_size, atof (dpi));
    if (wants_tfm)
      tfm_finish_output ();
  
    return 0;
  }
--- 206,219 ----
    if (wants_epsf)
      epsf_finish_output ();
! 
!   /* We must finish the TFM output before GF, because `gf_finish_output'
!      might want to open a TFM file -- and we can only have one TFM file
!      open at a time.  (Because we haven't rewritten the TFM library.)  */
    if (wants_tfm)
      tfm_finish_output ();
  
+   if (wants_gf)
+     gf_finish_output (design_size, atof (dpi));
+ 
    return 0;
  }
***************
*** 413,419 ****
  remap <char1>:<char2>,<char1>:<char2>,...: for each pair, make the input
    character with code <char1> have code <char2> in the output.
- space [<char>]: if writing a GF file, output a character the width of the
-   interword space from the TFM file at position <char>.  The default for
-   <char> is 32.
  text: output the font to stdout as plain text, using `*'s and ` 's.
  tfm: write a TFM file to `<font_name>.tfm'.
--- 419,422 ----
***************
*** 457,461 ****
          { "range",		1, 0, 0 },
          { "remap",		1, 0, 0 },
-         { "space",		2, 0, 0 },
          { "text",		0, (int *) &wants_text, 1 },
          { "tfm",		0, (int *) &wants_tfm, 1 },
--- 460,463 ----
***************
*** 544,550 ****
          scan_remap_list (optarg);
  
!       else if (ARGUMENT_IS ("space"))
!         space_char = optarg ? xparse_charspec (optarg, encoding_info) : 32;
!         
        else if (ARGUMENT_IS ("tfm-header"))
          tfm_header = optarg;
--- 546,552 ----
          scan_remap_list (optarg);
  
!       else if (ARGUMENT_IS ("text"))
!         report_file = stderr;
! 
        else if (ARGUMENT_IS ("tfm-header"))
          tfm_header = optarg;
***************
*** 558,563 ****
    FINISH_COMMAND_LINE ();
  }
! 
! 
  /* The string S specifies baseline adjustments for individual
     characters: `<charcode>:<adjustment>,...'.  We set the element
--- 560,564 ----
    FINISH_COMMAND_LINE ();
  }
! 
  /* The string S specifies baseline adjustments for individual
     characters: `<charcode>:<adjustment>,...'.  We set the element
diff -Nrc2 fontutils-0.5/fontconvert/output-gf.c fontutils-0.6/fontconvert/output-gf.c
*** fontutils-0.5/fontconvert/output-gf.c	Fri Jun  5 14:41:02 1992
--- fontutils-0.6/fontconvert/output-gf.c	Fri Oct 23 14:16:05 1992
***************
*** 25,32 ****
  #include "output-gf.h"
  
- /* If not -1, specifies the charcode at which to output an invisible
-    char the width of an interword space.  (-space) */
- int space_char = -1;
- 
  /* The basename of the input file.  */
  static string input_basename;
--- 25,28 ----
***************
*** 77,82 ****
  }
  
! /* Write the space character, if desired, and then the postamble and
!    close the file.  */
  
  void
--- 73,78 ----
  }
  
! /* Write the postamble and close the file.  */
! 
  
  void
***************
*** 83,110 ****
  gf_finish_output (real design_size, real dpi)
  {
-   if (space_char != -1)
-     {
-       string tfm_name = find_tfm_filename (input_basename);
-       
-       if (tfm_name != NULL && tfm_open_input_file (tfm_name))
-         {
-           char_info_type c;
-           real space_width = tfm_get_interword_space ();
-           
-           tfm_close_input_file ();
-           
-           CHARCODE (c) = space_char;
-           BITMAP_WIDTH (CHAR_BITMAP (c)) = 0;
-           BITMAP_HEIGHT (CHAR_BITMAP (c)) = 0;
-           CHAR_BB (c) = ((bounding_box_type) { 0, 0, 0, 0 });
-           CHAR_SET_WIDTH (c) = POINTS_TO_PIXELS (space_width, dpi);
-           CHAR_TFM_WIDTH (c) = real_to_fix (space_width / design_size);
-           REPORT1 ("[%d]", space_char);
-           gf_output_char (c, 1.0);
-         }
-       else
-         WARNING ("I can't output a space character without a TFM file");
-     }
-     
    gf_put_postamble (real_to_fix (design_size), dpi, dpi);
    gf_close_output_file ();
--- 79,82 ----
diff -Nrc2 fontutils-0.5/fontconvert/output-gf.h fontutils-0.6/fontconvert/output-gf.h
*** fontutils-0.5/fontconvert/output-gf.h	Wed Apr  8 15:17:00 1992
--- fontutils-0.6/fontconvert/output-gf.h	Fri Oct 23 14:16:05 1992
***************
*** 23,29 ****
  #include "font.h"
  
- /* See output-gf.c.  */
- extern int space_char;
- 
  /* Initialize GF output, output a character, and finish it up.  */
  extern void gf_start_output
--- 23,26 ----
diff -Nrc2 fontutils-0.5/fontconvert/output-tfm.c fontutils-0.6/fontconvert/output-tfm.c
*** fontutils-0.5/fontconvert/output-tfm.c	Sun Jun 14 08:50:18 1992
--- fontutils-0.6/fontconvert/output-tfm.c	Sun Oct  4 14:41:45 1992
***************
*** 21,24 ****
--- 21,25 ----
  #include "filename.h"
  #include "random.h"
+ #include "report.h"
  #include "tfm.h"
  
***************
*** 99,102 ****
--- 100,105 ----
        have_file_info = true;
  
+       REPORT1 ("Reading %s.\n", input_tfm_name);
+       
        /* Never carry along the checksum.  */
        TFM_CHECKSUM (tfm_info) = 0;
diff -Nrc2 fontutils-0.5/fontconvert/version.c fontutils-0.6/fontconvert/version.c
*** fontutils-0.5/fontconvert/version.c	Thu Sep  3 09:46:20 1992
--- fontutils-0.6/fontconvert/version.c	Tue Oct 27 13:27:59 1992
***************
*** 1 ****
! char *version_string = "fontconvert version 0.5";
--- 1 ----
! char *version_string = "fontconvert version 0.6";
diff -Nrc2 fontutils-0.5/gf/ChangeLog fontutils-0.6/gf/ChangeLog
*** fontutils-0.5/gf/ChangeLog	Thu Sep  3 09:30:43 1992
--- fontutils-0.6/gf/ChangeLog	Tue Oct 27 13:02:51 1992
***************
*** 1,2 ****
--- 1,11 ----
+ Tue Oct 27 12:56:09 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
+ Mon Sep 21 13:20:29 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+         * gf_output.c (start_put_char): don't claim we are part of the
+           nonexistent put_gf_char in the warning.
+ 
  Thu Sep  3 09:30:43 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/gf/gf_output.c fontutils-0.6/gf/gf_output.c
*** fontutils-0.5/gf/gf_output.c	Sat Jun  6 10:05:21 1992
--- fontutils-0.6/gf/gf_output.c	Mon Sep 21 13:23:23 1992
***************
*** 224,228 ****
    if (this_char_loc->char_pointer != NULL_BYTE_PTR)
      {
!       WARNING1 ("put_gf_char: Character %u already output", charcode);
        return;
      }
--- 224,228 ----
    if (this_char_loc->char_pointer != NULL_BYTE_PTR)
      {
!       WARNING1 ("gf_put_char: Character %u already output", charcode);
        return;
      }
diff -Nrc2 fontutils-0.5/gsrenderfont/.gdbinit fontutils-0.6/gsrenderfont/.gdbinit
*** fontutils-0.5/gsrenderfont/.gdbinit	Wed Apr 15 08:23:54 1992
--- fontutils-0.6/gsrenderfont/.gdbinit	Fri Oct 23 15:03:58 1992
***************
*** 7,9 ****
  end
  
! set args -verbose pncri
--- 7,9 ----
  end
  
! set args -verbose -trace psyr>/tmp/out
diff -Nrc2 fontutils-0.5/gsrenderfont/ChangeLog fontutils-0.6/gsrenderfont/ChangeLog
*** fontutils-0.5/gsrenderfont/ChangeLog	Thu Sep  3 15:34:26 1992
--- fontutils-0.6/gsrenderfont/ChangeLog	Tue Oct 27 13:02:50 1992
***************
*** 1,2 ****
--- 1,143 ----
+ Tue Oct 27 13:01:59 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
+ Sat Oct 24 05:03:22 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* gsrf.in: Don't give -encoding to imageto if the user didn't give
+ 	us an encoding.
+ 
+ Fri Oct 23 07:30:20 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* writefont.PS (find-encoding): New routine.
+ 	* gsrf.in: Pass a sentinel to use the input encoding by default.
+ 
+ 	* gsrf.in: Take only the first occurrence in the map file.
+ 
+ 	* GNUmakefile (extraclean): Remove all the temp files we might create.
+ 
+ 	* input-pbm.c (pbm_get_block): Go back to finding the first
+ 	all-white row after the block.  Will I ever learn?  We are now
+ 	almost entirely back to the original code, except that we only
+ 	skip at most BLANK_COUNT white rows.  If I had just fixed that bug
+ 	in the first place, I would have been done three days ago.
+ 
+ 	* writefont.PS (set-char-variables): We can output /space now.
+         (output-space-char, number-buffer): Delete.
+         * gsrf.in: Don't do the fontconvert -space stuff.
+ 
+ 	* input-pbm.c (pbm_get_block): Don't read the blank rows into the
+ 	bitmap we return.
+ 
+ 	* writefont.PS (compute-max-char-dimens): Round char-height when
+ 	moving, so the character doesn't get out of its block.
+ 
+ 	* input-pbm.c (get_row): Go back to stdout for the scanline trace.
+ 
+ 	* input-pbm.c (pbm_get_block): Rewrite to read a constant number
+ 	of scanlines.
+ 
+ 	* main.c: Doc fix.
+ 
+ Thu Oct 22 14:49:08 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* writefont.PS (compute-max-char-dimens): convert
+ 	max-char-tall-in-pixels to an integer after computing it.
+ 
+ 	* input-pbm.c (get_row): Output scanline trace to stderr.
+ 
+ 	* main.c (main): Handle extensions as we do in other programs.
+ 
+ 	* writefont.PS: Use `incr' where appropriate (forgot we had it!).
+ 
+ 	* writefont.PS (encoding-chars-present-3): Set the current point
+ 	before trying to render anything.
+ 
+ 	* writefont.PS (type3-setfont): Copy the dictionary before calling
+ 	definefont.
+ 
+ 	* writefont.PS (encoding-chars-present-3): Pass the character code
+ 	to be rendered, not the character name.
+ 
+ Wed Oct 21 08:40:02 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* writefont.PS (type3-render-p, type3-setfont,
+ 	encoding-chars-present{,-[13]}): New routines.
+         (reencode-font): Set the new encoding to only those characters
+         which are actually present in the font, as far as we can tell.
+ 
+ Tue Oct 20 10:12:44 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* GNUmakefile (install): Make second arg a directory, not a file.
+ 
+ 	* writefont.PS (set-font): Don't define `font-charstrings', since
+ 	not all fonts have it.
+ 
+ 	* writefont.PS (concat-strings): Use Ghostscript's predefined
+ 	concatstrings instead.
+ 
+ 	* gsrf.in (-output-file): New option.
+         (filename): Rename to `output_file'; default to new variable
+         `input_file'; pass it to Ghostscript.
+         * writefont.PS (font-basename): Rename to `output-filename'.
+         (input-filename): New argument to program.
+         (reencode-file): Read input-filename if the fontname is unknown to GS.
+ 
+ 	* gsrf.in: Specify ./<filename> to gftopk.
+ 
+ 	* gsrf.in: Specify the .pbm extension explicitly to imageto, in
+ 	case the filename has a `.' in it.
+ 
+ 	* main.c (main): Output to standard output if no output file is
+ 	specified.
+         (read_command_line): Output the version info to stderr.
+         * gsrf.in: Redirect output from bbcount.
+ 
+ 	* gsrf.in: Require both a filename and a fontname to be present,
+ 	and give appropriate error messages.
+ 
+ 	* gsrf.in: Echo the invocation of Ghostscript if we are verbose.
+ 
+ Sat Oct 17 08:36:45 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* writefont.PS (set-font): Do `setfont' after `scalefont'.
+ 
+ 	* writefont.PS (reencode-font): Test for the various keys we don't
+ 	copy properly -- we were dup'ing the truth value.
+ 
+ Sun Oct 11 15:14:27 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* writefont.PS (set-font): Use findfont scalefont instead of
+ 	selectfont, in case Ghostscript wasn't installed with level 2 features.
+ 
+ Sun Oct  4 09:42:25 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* writefont.PS (baseline-adjustment): Negate the depth.
+ 
+ 	* gsrf.in: Remove a PK file so fontconvert will always read the
+ 	newly-output GF file.
+ 
+ 	* gsrf.in: Don't pass -clean-threshold to imageto, since it's no
+ 	longer an option.
+ 
+ 	* main.c (main): `bounding_box_list_type' is now `bb_list_type'.
+ 
+ Tue Sep 22 14:50:47 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+         * gsrf.in: specify -clean-threshold=100, so we don't throw away
+           parts of our characters.
+ 
+ Mon Sep 21 13:00:57 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+         * gsrf.in: use -eq, not =, to see if we should make a space character.
+ 
+         * gsrf.in: if verbose, do not specify -q to gs.
+ 
+ Mon Sep 14 09:30:16 1992  Karl Berry  (karl@hayley)
+ 
+         * GNUmakefile (gsrenderfont): make readonly.
+ 
+         * GNUmakefile (check): depend on bbcount.
+ 
  Thu Sep  3 09:30:47 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/gsrenderfont/GNUmakefile fontutils-0.6/gsrenderfont/GNUmakefile
*** fontutils-0.5/gsrenderfont/GNUmakefile	Thu Sep  3 15:34:26 1992
--- fontutils-0.6/gsrenderfont/GNUmakefile	Sat Oct 24 04:54:39 1992
***************
*** 30,40 ****
  
  gsrenderfont: gsrf.in
  	sed -e "s,replace-with-lib-path,$(default_lib_path)," $< > $@
  	chmod +x $@
  
  install::
! 	$(INSTALL_PROGRAM) gsrenderfont $(bindir)
! 	$(INSTALL_DATA) fixifibb.awk $(fu_datadir)
! 	$(INSTALL_DATA) writefont.PS $(fu_datadir)
  
  dist::
--- 30,42 ----
  
  gsrenderfont: gsrf.in
+ 	rm -f $@
  	sed -e "s,replace-with-lib-path,$(default_lib_path)," $< > $@
+ 	chmod a-w $@
  	chmod +x $@
  
  install::
! 	$(INSTALL_PROGRAM) gsrenderfont $(bindir)/gsrenderfont
! 	$(INSTALL_DATA) fixifibb.awk $(fu_datadir)/fixifibb.awk
! 	$(INSTALL_DATA) writefont.PS $(fu_datadir)/writefont.PS
  
  dist::
***************
*** 43,49 ****
  include M.depend
  
! check: gsrenderfont
! 	gsrenderfont -verbose -version -font Times-Roman
  
  distclean::
  	rm -f gsrenderfont
--- 45,56 ----
  include M.depend
  
! check: gsrenderfont bbcount
! 	rm -f Style.tfm Style.300*
! 	gsrenderfont -verbose -version Style.ps -font=Style
! 	fontconvert -tfm ./Style.300
  
  distclean::
  	rm -f gsrenderfont
+ 
+ extraclean::
+ 	rm -f *.xifi *.bfi *.pbm *.bbs *.pl *.ifi
diff -Nrc2 fontutils-0.5/gsrenderfont/M.depend fontutils-0.6/gsrenderfont/M.depend
*** fontutils-0.5/gsrenderfont/M.depend	Wed Sep  2 17:20:48 1992
--- fontutils-0.6/gsrenderfont/M.depend	Sun Oct 25 14:16:02 1992
***************
*** 7,12 ****
    .././include/c-memstr.h .././include/c-errno.h .././include/c-minmax.h .././include/c-limits.h \
    .././include/c-seek.h .././include/c-proto.h .././include/global.h .././include/lib.h \
!   .././include/types.h .././include/bb-outline.h .././include/bitmap.h .././include/bounding-box.h \
!   .././include/cmdline.h .././include/filename.h .././include/getopt.h .././include/report.h \
!   input-pbm.h 
  version.o : version.c 
--- 7,12 ----
    .././include/c-memstr.h .././include/c-errno.h .././include/c-minmax.h .././include/c-limits.h \
    .././include/c-seek.h .././include/c-proto.h .././include/global.h .././include/lib.h \
!   .././include/types.h .././include/bb-outline.h .././include/bb-list.h .././include/bounding-box.h \
!   .././include/bitmap.h .././include/cmdline.h .././include/filename.h .././include/getopt.h \
!   .././include/report.h input-pbm.h 
  version.o : version.c 
diff -Nrc2 fontutils-0.5/gsrenderfont/gsrf.in fontutils-0.6/gsrenderfont/gsrf.in
*** fontutils-0.5/gsrenderfont/gsrf.in	Thu Sep  3 09:46:18 1992
--- fontutils-0.6/gsrenderfont/gsrf.in	Tue Oct 27 13:27:57 1992
***************
*** 2,9 ****
  # 
  # Shell script to invoke Ghostscript on a font, create an image, and
! # then run imagetofont to get a bitmap font.  (Can then run
! # fontconvert to get a tfm.)
  
! version=0.5
  
  # Set defaults.
--- 2,9 ----
  # 
  # Shell script to invoke Ghostscript on a font, create an image, and
! # then run imagetofont to get a bitmap font.  (You can then run
! # fontconvert to get a tfm if desired.)
  
! version=0.6
  
  # Set defaults.
***************
*** 10,14 ****
  resolution=300
  point_size=10
! encoding=dvips
  map_file=/usr/local/lib/tex/dvips/psfonts.map
  
--- 10,14 ----
  resolution=300
  point_size=10
! encoding=
  map_file=/usr/local/lib/tex/dvips/psfonts.map
  
***************
*** 81,84 ****
--- 81,99 ----
      ;;
  
+   -output-file=* | -output-fil=* | -output-fi=* | -output-f=* | -output-=* \
+   | -output=* | -output=* | -outpu=* | -outp=* | -out=* | -ou=* | -o=* \
+   | --output-file=* | --output-fil=* | --output-fi=* | --output-f=* \
+   | --output-=* | --output=* | --output=* | --outpu=* | --outp=* \
+   | --out=* | --ou=* | --o=* )
+     output_file=`echo $1 | sed 's/[-a-z_]*=//'`
+     ;;
+   -output-file | -output-fil | -output-fi | -output-f | -output- \
+   | -output | -output | -outpu | -outp | -out | -ou | -o \
+   | --output-file | --output-fil | --output-fi | --output-f | --output- \
+   | --output | --output | --outpu | --outp | --out | --ou | --o)
+     shift
+     output_file=$1
+     ;;
+ 
    -point-size=* | -point-siz=* | -point-si=* | -point-s=* | -point-=* \
    | -point=* | -poin=* | -poi=* | -po=* | -p=* \
***************
*** 115,122 ****
      ;;
  
!   *)   if test -z "$filename"
!        then filename=$1
         else
!          echo "Too many filenames.  Use -help for more information."
           exit 1
         fi
--- 130,138 ----
      ;;
  
!   *)   if test -z "$input_file"
!        then input_file=$1
         else
!          echo "Too many filenames ($1 was the second)."
!          echo "Use -help for more information."
           exit 1
         fi
***************
*** 126,131 ****
  done
  
! # If they just wanted the version number, exit.
! if test -z "$filename" && test -z "$fontname" && test -n "$printed_version"
  then exit 0
  fi
--- 142,146 ----
  done
  
! if test -z "$input_file" && test -z "$fontname" && test -n "$printed_version"
  then exit 0
  fi
***************
*** 135,148 ****
  # r<filename> <fontname> <stuff we ignore>
  # 
! # The filename has an `r' in front because it specifies the raw fonts,
! # not the virtual ones.
  if test -r $map_file
  then
!   if test -n "$filename" && test -z "$fontname"
!   then fontname=`awk "/^r?$filename[ 	]/"'{print $2}' $map_file`
!   elif test -z "$filename" -a -n "$fontname"
    then
!     filename=`awk "/[ 	]$fontname[ 	]*"'$/ {print $1}' $map_file \
!       | sed -e 's/^rp/p/'`
    fi
  fi
--- 150,163 ----
  # r<filename> <fontname> <stuff we ignore>
  # 
! # The filename might have an `r' in front to specify a raw fonts, not
! # the virtual one (for the user).
  if test -r $map_file
  then
!   if test -n "$input_file" && test -z "$fontname"
!   then fontname=`awk "/^r?$input_file[ 	]/"'{print $2; exit}' $map_file`
!   elif test -z "$input_file" && test -n "$fontname"
    then
!     filename=`awk "/[ 	]$fontname[ 	]*"'$/ {print $1; exit}' $map_file \
!       | sed -e 's/^r?p/p/'`
    fi
  fi
***************
*** 149,159 ****
  
  # We need both a filename and a fontname to do anything.
! if test -z "$filename" && test -z "$fontname"
  then
!   echo "Either a fontname (e.g., Times-Roman) or a filename (e.g., phvr)"
!   echo "is needed.  Use -help for more information."
    exit 1
  fi
  
  # We need the lib path for encoding files.
  if test -n "$FONTUTIL_LIB"
--- 164,198 ----
  
  # We need both a filename and a fontname to do anything.
! if test -z "$input_file"
! then
!   if test -z "$fontname"
!   then
!     # Didn't have either one.
!     echo "Either a fontname (e.g., Times-Roman) or a filename (e.g., ptmr)"
!     echo "is needed.  Use -help for more information."
!     exit 1
!   else
!     # Had a fontname, but no filename.
!     echo "I couldn't find the filename corresponding to the font $fontname."
!     echo "Please specify it."
!     exit 1
!   fi
! elif test -z "$fontname"
  then
!   # Had a filename, but no fontname.
!   echo "I couldn't find the font corresponding to the file \`$input_file'."
!   echo "Please specify it with -font."
    exit 1
  fi
  
+ # If we have no output file, use the input file (but strip off `.ps' or
+ # other such extensions).
+ # 
+ if test -z "$output_file"
+ then output_file=`basename $input_file \
+   | sed -e 's/\.ps$//'  -e 's/\.pf3$//' -e 's/\.gsf$//' \
+         -e 's/\.pfa$//' -e 's/\.pfb$//'`
+ fi
+ 
  # We need the lib path for encoding files.
  if test -n "$FONTUTIL_LIB"
***************
*** 162,176 ****
  fi
  
! # Run Ghostscript.  For example:
! # gsnd -I../data -- writefont.PS dvips 300 10 phvr Helvetica
! gsnd -I$lib_path -- writefont.PS \
!   $encoding $resolution $point_size $filename $fontname || exit 1
  
  # Count the bounding boxes in each character.
! bbcount $verbose $filename || exit 1
  
  # Insert the bounding box counts into the IFI file.
! AWKPATH=$lib_path gawk -f fixifibb.awk -vbbsfile=$filename.bbs \
!                     <$filename.xifi >$filename.ifi \
                    || exit 1
  
--- 201,231 ----
  fi
  
! # If the encoding file wasn't specified, use a sentinel to get the
! # one from the input font.  We include a / in the name so it's highly
! # unlikely to ever be a reasonable encoding name itself.
! # 
! if test -z "$encoding"
! then gs_encoding=/encoding-from-input
! else gs_encoding=$encoding
! fi
! 
! # Let Ghostscript give us its normal messages if we are verbose.
! # 
! if test -z "$verbose"
! then quiet="-q"
! fi
! 
! # We don't use gsnd because that always uses -q.
! # 
! gs -DNODISPLAY $quiet -I$lib_path -- writefont.PS \
!   $gs_encoding $resolution $point_size $output_file $input_file $fontname \
! || exit 1
  
  # Count the bounding boxes in each character.
! bbcount $verbose $output_file > $output_file.bbs || exit 1
  
  # Insert the bounding box counts into the IFI file.
! AWKPATH=$lib_path gawk -f fixifibb.awk -vbbsfile=$output_file.bbs \
!                     <$output_file.xifi >$output_file.ifi \
                    || exit 1
  
***************
*** 182,205 ****
  final_resolution=`expr $resolution \* $point_size / 10`
  
! # Make a font out of the image.
! imageto $verbose -encoding=$encoding -input-format=pbm \
!   -dpi=$resolution $filename -o=$filename.${final_resolution}gf || exit 1
! 
! # Add the space character if necessary.
! if test "`wc -l<$filename.bfi`" = 3
! then
!   spacechar="`tail -1 $filename.bfi`"
!   fontconvert -space=$spacechar -gf $filename.${final_resolution}gf \
!     -out=x$filename.${final_resolution}gf
!   mv x$filename.${final_resolution}gf $filename.${final_resolution}gf
  fi
  
! # PK files are smaller than GF files, and hold the same information.
  if test -n "$verbose"
  then verbose=-v
  fi
! gftopk $verbose $filename.${final_resolution}gf || exit 1
  
! rm -f $filename.${final_resolution}gf
! rm -f $filename.bbs $filename.xifi $filename.pbm
! rm -f $filename.bfi $filename.ifi
--- 237,259 ----
  final_resolution=`expr $resolution \* $point_size / 10`
  
! # Make a font out of the image; do not throw away any bounding boxes,
! # there's no noise in this image.
! # 
! if test -n "$encoding"
! then encoding="-encoding=$encoding"
  fi
  
! imageto $verbose $encoding -dpi=$resolution \
!   $output_file.pbm -o=$output_file.${final_resolution}gf || exit 1
! 
! # PK files are smaller than GF files, and hold the same information, so
! # convert to PK form and throw the GF file away.
! # 
  if test -n "$verbose"
  then verbose=-v
  fi
! gftopk $verbose ./$output_file.${final_resolution}gf || exit 1
  
! rm -f $output_file.${final_resolution}gf
! rm -f $output_file.bbs $output_file.xifi $output_file.pbm
! rm -f $output_file.bfi $output_file.ifi
